Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns a single access tier by ID.
cURL
curl --request GET \ --url https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id} \ --header 'X-Api-Key: <api-key>'
import requests url = "https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}" headers = {"X-Api-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}}; fetch('https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-Api-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}") .header("X-Api-Key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": 1, "slug": "anonymous", "name": "anonymous", "segment_limit": null, "ads_enabled": true, "intro_url": null, "outro_url": null, "cta_text": null, "cta_url": null, "player_agent": { "cta_text": null, "cta_url": null, "questions_limit": null, "seconds_limit": null }, "ai_connector": { "allowed": false }, "summary": { "allowed": true }, "created": "2026-01-01 00:00:00 UTC", "updated": "2026-01-01 00:00:00 UTC" }
The numeric ID of your project
The numeric ID of the access tier
OK
Unique identifier for the object
Human readable name of the access tier
Maximum number of segments allowed for playback. Null means no limit.
Whether ads are enabled for this tier
URL of the intro audio file
URL of the outro audio file
Text of the call-to-action shown in the player
URL the call-to-action links to
Player agent settings for this tier
Show child attributes
AI connector settings for this tier
Summary settings for this tier
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)
Was this page helpful?